Create a Taxonomy
Creates a Taxonomy
POST
/
api
/
v2
/
platform
/
taxonomies
Create a Taxonomy
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
taxonomy: {
name: '<string>',
position: 2,
public_metadata: {ability_to_recycle: '90%'},
private_metadata: {profitability: 2}
}
})
};
fetch('http://{defaultHost}/api/v2/platform/taxonomies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url http://{defaultHost}/api/v2/platform/taxonomies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"taxonomy": {
"name": "<string>",
"position": 2,
"public_metadata": {
"ability_to_recycle": "90%"
},
"private_metadata": {
"profitability": 2
}
}
}
'{
"data": {
"id": "17",
"type": "taxonomy",
"attributes": {
"name": "taxonomy_17",
"created_at": "2022-11-08T19:35:47.351Z",
"updated_at": "2022-11-08T19:35:47.361Z",
"position": 1,
"public_metadata": {},
"private_metadata": {}
},
"relationships": {
"taxons": {
"data": [
{
"id": "29",
"type": "taxon"
}
]
},
"root": {
"data": {
"id": "29",
"type": "taxon"
}
}
}
}
}{
"error": "Name can't be blank",
"errors": {
"name": [
"can't be blank"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes
Body
application/json
Show child attributes
Show child attributes
Response
Record created
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create a Taxonomy
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
taxonomy: {
name: '<string>',
position: 2,
public_metadata: {ability_to_recycle: '90%'},
private_metadata: {profitability: 2}
}
})
};
fetch('http://{defaultHost}/api/v2/platform/taxonomies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url http://{defaultHost}/api/v2/platform/taxonomies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"taxonomy": {
"name": "<string>",
"position": 2,
"public_metadata": {
"ability_to_recycle": "90%"
},
"private_metadata": {
"profitability": 2
}
}
}
'{
"data": {
"id": "17",
"type": "taxonomy",
"attributes": {
"name": "taxonomy_17",
"created_at": "2022-11-08T19:35:47.351Z",
"updated_at": "2022-11-08T19:35:47.361Z",
"position": 1,
"public_metadata": {},
"private_metadata": {}
},
"relationships": {
"taxons": {
"data": [
{
"id": "29",
"type": "taxon"
}
]
},
"root": {
"data": {
"id": "29",
"type": "taxon"
}
}
}
}
}{
"error": "Name can't be blank",
"errors": {
"name": [
"can't be blank"
]
}
}
